/*
 * Copyright (c) 2006 Deutsche Post World Net
 *                    Deutsche Post AG, SOPSOLUTIONS
 * All rights reserved.
 */
package org.eclipse.stp.xef;

import java.util.Map;

import org.eclipse.ui.IEditorPart;

/**
 * <b>This interface is a facade of detail policy editor</b><br>
 * The class implementing this facade provides functionality 
 * to edit part of policy.
 * 
 * @version $Revision: 1.1 $
 */
public interface IPolicyDetailEditor extends IEditorPart {

    /**
     * Close specified detail editor.
     * Method is asynchronous. 
     *
     * @param name Name of editing policy part. 
     * @param force Close without confirmation. 
     * @throws Exception if any error occurs.
     */
    void closeEditor(final String name, final boolean force) throws Exception;

    /**
     * Sets schemas catalogue for policy.
     *
     * @param ?. 
     */
    void setSchemaCatalog(ISchemaProvider schemaProvider);

    /**
     * Reserved for the future using.
     *
     * @param props Properties. 
     */
    void setProperties(final Map<String, Object> props);
    

}
